#include "MKLServiceProvider.h"
#include <mkl.h>

using namespace std;

int Monitel::MathNative::MKLService::MKLServiceProvider::SetCNRMode(int setting)
{
	int result = 0;

	result = mkl_cbwr_set(setting);

	return result;
}

int Monitel::MathNative::MKLService::MKLServiceProvider::GetCNRMode(void)
{
	int result = 0;

	result = mkl_cbwr_get(MKL_CBWR_BRANCH);

	return result;
}

int Monitel::MathNative::MKLService::MKLServiceProvider::GetCNRModeAuto(void)
{
	int result = 0;

	result = mkl_cbwr_get_auto_branch();

	return result;
}

void Monitel::MathNative::MKLService::MKLServiceProvider::GetMKLVersion(MKLVersion* pVersion)
{
	mkl_get_version(pVersion);
}

void Monitel::MathNative::MKLService::MKLServiceProvider::MKLFreeBuffers(void)
{
	mkl_free_buffers();
}


Monitel::MathNative::MKLService::MKLServiceProvider::MKLServiceProvider()
{
}

Monitel::MathNative::MKLService::MKLServiceProvider::~MKLServiceProvider()
{
}
